หน้า Splash
GET https://tistos.com/api/splash-pages/
curl --request GET \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| search | ทางเลือก สตริง | สตริงการค้นหา |
| search_by | ทางเลือก สตริง | คุณกำลังค้นหาด้วยฟิลด์ใด ค่าอนุญาตคือ: name. |
| datetime_field | ทางเลือก สตริง | ค่าที่อนุญาต: datetime, last_datetime |
| datetime_start | ทางเลือก สตริง | กรองผลลัพธ์เริ่มต้นจากวันที่และเวลานี้ รูปแบบ Y-m-d H:i:s |
| datetime_end | ทางเลือก สตริง | กรองผลลัพธ์จนถึงวันที่และเวลานี้ รูปแบบ Y-m-d H:i:s |
| order_by | ทางเลือก สตริง | ฟิลด์ใดที่ต้องการเรียงลำดับผลลัพธ์ ค่าอนุญาตคือ: splash_page_id, datetime, last_datetime, name. |
| order_type | ทางเลือก สตริง | การจัดเรียงผลลัพธ์ ค่าที่อนุญาตคือ: ASC สำหรับการจัดเรียงจากน้อยไปมาก และ DESC สำหรับการจัดเรียงจากมากไปน้อย |
| page | ทางเลือก จำนวนเต็ม | หมายเลขหน้าที่คุณต้องการผลลัพธ์จาก ค่าเริ่มต้นคือ 1. |
| results_per_page | ทางเลือก จำนวนเต็ม | คุณต้องการผลลัพธ์กี่รายการต่อหน้า ค่าที่อนุญาตคือ: 10, 25, 50, 100, 250, 500, 1000 ค่าเริ่มต้นคือ 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 12:43:28",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/projects?page=1",
"last": "https://tistos.com/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/projects?page=1"
}
}
GET https://tistos.com/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 12:43:28",
}
}
POST https://tistos.com/api/projects
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| name | จำเป็น สตริง | - |
| title | ทางเลือก สตริง | - |
| logo | ทางเลือก ไฟล์ | - |
| favicon | ทางเลือก ไฟล์ | - |
| opengraph | ทางเลือก ไฟล์ | - |
| description | ทางเลือก สตริง | - |
| secondary_button_name | ทางเลือก สตริง | - |
| secondary_button_url | ทางเลือก สตริง | - |
| custom_css | ทางเลือก สตริง | - |
| custom_js | ทางเลือก สตริง | - |
| ads_header | ทางเลือก สตริง | - |
| ads_footer | ทางเลือก สตริง | - |
| link_unlock_seconds | ทางเลือก จำนวนเต็ม | - |
| auto_redirect | ทางเลือก บูลีน | - |
curl --request POST \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/splash-pages/{splash_page_id}
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| name | ทางเลือก สตริง | - |
| title | ทางเลือก สตริง | - |
| logo | ทางเลือก ไฟล์ | - |
| favicon | ทางเลือก ไฟล์ | - |
| opengraph | ทางเลือก ไฟล์ | - |
| description | ทางเลือก สตริง | - |
| secondary_button_name | ทางเลือก สตริง | - |
| secondary_button_url | ทางเลือก สตริง | - |
| custom_css | ทางเลือก สตริง | - |
| custom_js | ทางเลือก สตริง | - |
| ads_header | ทางเลือก สตริง | - |
| ads_footer | ทางเลือก สตริง | - |
| link_unlock_seconds | ทางเลือก จำนวนเต็ม | - |
| auto_redirect | ทางเลือก บูลีน | - |
curl --request POST \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \